Synchronet now requires the libarchive development package (e.g. libarchive-dev on Debian-based Linux distros, libarchive.org for more info) to build successfully.

Commit 7cd6d1bf authored by rswindell's avatar rswindell
Browse files

Fix typo in ListeningSocket constructor insufficient-args error:

"At least two arguments required (interfaces, port, and protocol)"
parent d99de7fe
......@@ -2739,7 +2739,7 @@ js_listening_socket_constructor(JSContext *cx, uintN argc, jsval *arglist)
}
cb.scfg = scfg;
if (argc < 3) {
JS_ReportError(cx, "At least two arguments required (interfaces, port, and protocol)");
JS_ReportError(cx, "At least three arguments required (interfaces, port, and protocol)");
goto fail;
}
if (argc > 3) {
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment